#!/usr/bin/python
# -*- coding: utf8 -*-
#
# Задача "Шахматная головоломка"
# XVIII командный чемпионат школьников Санкт-Петербурга по программированию
# Автор задачи: Виталий Аксенов
# Автор генератора: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
#
# Простенький генератор без использования сторонних библиотек для генерации

import random

test_number = 0

def open_output():
    global test_number
    test_number += 1
    num = "%d%d" % divmod(test_number, 10)
    print "Generating test #" + num
    
    return open(num, "w")

def print_test(test, desc):
    ouf = open_output()
    print >>ouf, test
    print >>desc_file, ("%d%d" % divmod(test_number, 10)) + ": " + desc
    ouf.close()
        
if __name__ == "__main__":
    random.seed(238)
    desc_file = open("tests.desc", "w")

    ls = [(i % 8, i / 8) for i in xrange(64) if i > 0]
    random.shuffle(ls)
    ls = [(0, 0)] + ls

    for x, y in ls:
        s = chr(ord('a') + x) + chr(ord('1') + y)
        print_test(s, s)

    desc_file.close()
